Bug 120958 - Missing dependency to emacs(-devel) - causes probably building error
Summary: Missing dependency to emacs(-devel) - causes probably building error
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpm   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-15 17:03 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.20.1-47
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 19:04:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-04-15 17:03:11 UTC
Description of problem:
Rebuilding of gpm ends with

--- snipp ---
RPM build errors:
    File not found: /var/tmp/gpm-1.20.1-root/usr/share/emacs/site-lisp/t-mouse.elc
--- snapp ---

if no emacs (or emacs-devel?) is installed and none of them is
required in BuildRequires...

Version-Release number of selected component (if applicable):
gpm-1.20.1-46

How reproducible & Steps to Reproduce:
Every time at rebuilding gpm if no emacs (or emacs-devel?) is 
installed
  
Expected results:
Add the correct dependency to the build requirements in the spec
file or make a check that this file isn't required, if no emacs
is used for building.

Comment 1 Robert Scheck 2004-04-15 17:08:56 UTC
Btw, I saw, that a wildcard would be the easiest solution and then it
still doesn't really matter whether there is emacs or not:

%{_datadir}/emacs/site-lisp/t-mouse.el*


Note You need to log in before you can comment on or make changes to this bug.